import React, { useRef } from 'react';
import {useDropzone} from 'react-dropzone';
import Coursor from '../components/coursor';
import { actionUploadFile } from '../actions';
import { connect } from 'react-redux';
import AvaLogo from '../images/ava';


// const Upload = () => {
//     const formRef = useRef(null)
//     return (
//     <>
// <form action="/upload" method="post" enctype="multipart/form-data" ref={formRef}>
//   <input type="file" name="photo" id='photo'onChange = {async () => {
//     fetch('/upload', {
//         method: "POST",
//         headers: localStorage.authToken ? {Authorization: 'Bearer ' + localStorage.authToken} : {},
//         body: new FormData(formRef.current)
//     })
// }
//   }/>
// </form>
// </>
//     )
// }

const Upload = ({onUpload , width , up}) => {
  const {acceptedFiles, getRootProps, getInputProps} = useDropzone();
  let files = acceptedFiles.map (file => onUpload(file))
  return (
      <div {...getRootProps({className: 'dropzone'})} style = {{display:'inline'}}>
        <input {...getInputProps()} />
        <AvaLogo px = {width}/>
        <h1>{up}</h1>
      </div>
   
  );
}

const ConUpload = connect(state => ({up:state?.promise?.upload?.[1]._id })  , {onUpload:actionUploadFile})(Upload)

export default ConUpload;